Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 460050 - Change in the signature of the API call setChildChannel
Summary: Change in the signature of the API call setChildChannel
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: API
Version: 0.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Sayli Karmarkar
QA Contact: Brad Buckingham
URL:
Whiteboard:
Depends On:
Blocks: space04
TreeView+ depends on / blocked
 
Reported: 2008-08-25 19:21 UTC by Sayli Karmarkar
Modified: 2009-01-22 16:29 UTC (History)
5 users (show)

Fixed In Version: 0.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-22 16:29:50 UTC


Attachments (Terms of Use)

Description Sayli Karmarkar 2008-08-25 19:21:06 UTC
Description of problem:
Changes in the signature of the API call setChildChannel

Version-Release number of selected component (if applicable):
0.1

Signature of setChildChannel is changed from 
setChildChannel(String sessionKey, String kslabel, channelLabels[]) 
to 
setChildChannel(String sessionKey, String kslabel, List<String> channelLabel)

Comment 1 Sayli Karmarkar 2008-11-04 16:47:34 UTC
Just to clarify this is:

kickstart.profile.setChildChannels(String sessionKey, String kslabel,                                         
                                   List<String> channelLabels)

as there are more than one setChildChannels apis.

~SayliK

Comment 2 Brad Buckingham 2008-11-04 18:59:25 UTC
This one is failing on space03 spacewalk-java-0.3.7-1.el5.sw.

The data is not being persisted in the DB during the api execution.  Based on the overall severity/priority, we'll move this to space04.

Comment 3 Sayli Karmarkar 2008-11-25 19:11:55 UTC
This can be fixed in spacewalk0.4. Minor fix need to be added.

~SayliK


Note You need to log in before you can comment on or make changes to this bug.